'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-7e5e82e9.js');

/*
 Stencil Client Patch Esm v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["quickom-chat-qrcode.cjs",[[1,"quickom-chat-qrcode",{"alias":[1],"backgroundColor":[1,"background-color"],"domain":[1],"isOpen":[32]}]]],["quickom-svg-render.cjs",[[1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]]],["quickom-chat_2.cjs",[[0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"chatAccount":[16],"chatWithAccount":[16],"isOpen":[32]}],[0,"quickom-chat-iframe",{"domain":[1],"chatAccount":[16],"chatWithAccount":[16]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
